Skip to content
GAMPEONCreate
New project

Delete a channel

DELETE
/v1/communities/{id}/channels/{channelId}
curl --request DELETE \
--url https://api.gampeon.com/v1/communities/1/channels/1 \
--header 'Authorization: Bearer <token>'

Needs manageChannels. Deletes its messages. Channels in a deleted category move out of it.

Not available with access tokens.

id
required
integer
>= 1

Community ID

channelId
required
integer
>= 1

Channel ID

Deleted

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, missing_permission

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback